#ifndef _MAZEDRAWER_H_
#define _MAZEDRAWER_H_
/*
  mazeDrawer.h

  Frode Aarstad, 14.02.2000
 */

#define WALL_SIZE 10

#include <LEDA/list.h>
#include <LEDA/point.h>
#include <GL/gl.h>
#include <Math/vjMatrix.h>
#include "../inc/glut.h"

class mazeDrawer {

public:
  mazeDrawer();
  ~mazeDrawer();

  void addPoint(vjMatrix*);
  void endShape();
  void addWall();
  void draw();

  list <list <point> > getShapeList();

  
private:
  list <list <point> > allShapes;
  list <point> aShape;

};
#endif
