#ifndef _SIMULATOR_H_ 
#define _SIMULATOR_H_
/*
  simulator.h

  Frode Aarstad, 04.19.2000
 */

#include "util.h"
#include <LEDA/string.h>
#include <LEDA/list.h>
#include <LEDA/vector.h>
#include "world.h"
#include "model.h"
#include "problem.h"
#include "rrt.h"


class simulator
{
public:
  simulator(RRT *);
  ~simulator();

  void drawPath(list<node>, string);
  void drawNodes(string);
  void simulatePath(list<node>, robot*);


private:
  int frame;
  RRT *planner;

};
#endif
