/*
 worldPQP.C : public world.C

 Frode Aarstad

*/
#include "worldPQP.h"



worldPQP::worldPQP(maze3D *m, robot *r, string path = "")
  :World(path) 
{  
  theMaze = m;
  theRobot = r;
}


bool worldPQP::CollisionFree(const vector &x) {
  
  theRobot->T[0] = x[0];
  theRobot->T[2] = x[1];

  return theMaze->collisionFree(theRobot, 0.5);
}


double worldPQP::DistanceComp(const vector &x) {
 
 return (double)theMaze->collisionDistance(theRobot);
}


vector worldPQP::LinearInterpolate(const vector &q1, const vector &q2, 
                                   const double &a) 
{

  vector vec;


  return vec;
}







